
PATH_COMICS_8_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_8_BOAT                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_8_WIN                   = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())
    
    local pf = play_field
    local level = pf:GetLevelScreen()
    
    ---------------------------------------------------------------------------------------------
    level:AddTaskSafe(CreateTask('COIN', '', 'coin'))
    AddRandomTasks(14,
                   CreateTask('ANANAS', '', 'ananas'),
                   CreateTask('BELL', '', 'bell'),
                   CreateTask('GOBLET', '', 'bowl'),
                   CreateTask('BUCKET', '', 'bucket'),
                   CreateTask('CLOTHESPIN', '', 'clothespin'),
                   CreateTask('CONE', '', 'cone'),
                   CreateTask('FLASK', '', 'flask'),
                   CreateTask('FLY', '', 'fly'),                   
                   CreateTask('NOTE', '', 'note'),
                   CreateTask('SHIP', '', 'ship'),
                   CreateTask('SURF_BOARD', '', 'surf_board'),
                   CreateTask('UMBRELLA', 'UMBRELLAS', 'umbrella', 'umbrella_2'),
                   
                   CreateTask('COW', '', 'cow'),
                   CreateTask('CROWN', '', 'crown'),
                   CreateTask('KEY', '', 'key'),
                   CreateTask('LIZARD', '', 'lizard'),
                   CreateTask('LOCK', '', 'lock'),
                   CreateTask('MASK', '', 'mask'),
				   
				   CreateTask('STAR', 'STARS', 'star2', 'star1'),
				   CreateTask('CAP', 'CAPS', 'cap', 'cap1', 'cap2'),
				   CreateTask('CAT', 'CATS', 'cat1', 'cat2', 'cat3', 'cat4'),
				   CreateTask('ENVELOPE', 'ENVELOPES', 'envelope1', 'envelope2', 'envelope3', 'envelope4'),
				   CreateTask('HAT', 'HATS', 'hat', 'hat1', 'hat2', 'hat3', 'hat4'),
				   CreateTask('LAMP', 'LAMPS', 'lamp2', 'lamp3', 'lamp'),
				   CreateTask('NECKLACE', 'NECKLACES', 'necklace1', 'necklace2', 'necklace3', 'necklace4', 'necklace5', 'necklace6'),
				   CreateTask('PAIR_OF_SHOES', 'PAIRS_OF_SHOES', 'pair_of_shoes1', 'pair_of_shoes2', 'pair_of_shoes3', 'pair_of_shoes4', 'pair_of_shoes5')               
                   );
    ---------------------------------------------------------------------------------------------
    local zone_bridge = CreateZoomZone('close_zone_bridge',
                                 'pixel_open_bridge',
                                 'bg_bridge',
                                 'hoisting_jack'
                                )
    ---------------------------------------------------------------------------------------------
    pf:GetObject('boat_up'):SetOpacity(0)
    pf:IgnoreOnTestPoint('boat_layer')
    pf:IgnoreOnTestPoint('bush')
    pf:IgnoreOnTestPoint('ananas_layer')
    ---------------------------------------------------------------------------------------------
    local zone_boat = CreateZoomZone('close_zone_boat',
                               '', -- pixel_open_boat
                               'boat_bg',
                               'coin',                               
                               'cow',
                               'crown',
                               'key',
                               'lizard',
                               'lock',
                               'mask',
                               'umbrella_2',
                               'layer_umbrella'
                                );
    ---------------------------------------------------------------------------------------------
    local photo_action_hoisting_jack = function()
                                       end
    local apply_action_hoisting_jack = function(save)
                                if save then
                                    pf:GetObject('boat_up'):SetOpacity(1)
                                else
                                    pf:GetObject('boat_up'):ChangeOpacity(0, 1, 0.3)
                                    PlaySound('08_pick_up_boat')
                                end
                                RegisterZoomZone(zone_boat, 'pixel_open_boat')
                                pf:GetObject('pixel_use_hoisting_jack'):SetOpacity(0)
                             end
    local photo_hoisting_jack = CreatePhotoZoneEx('hoisting_jack', 'hoisting_jack_tool',
                                                  'HOISTING_JACK', 
                                                  'hoisting_jack_photo', 
                                                  photo_action_hoisting_jack, 'pixel_use_hoisting_jack', apply_action_hoisting_jack)
    level:GetTask('hoisting_jack'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    PlayAnimationPeriodicallyVsRandDelay(pf:GetObject('grasshopper'), 10, 20)
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_8_ON_SHOWN, 'COMICS_8_ON_SHOWN');
                                                 end )
    game_state.chain_boat = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_8_BOAT, 'COMICS_8_BOAT');
                                             end )
    SetHintComicsPhotoZoneEx(photo_hoisting_jack, game_state.chain_boat)
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_8_WIN, 'COMICS_8_ON_WIN');
                                               end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end
    ---------------------------------------------------------------------------------------------
	game_state.texture_x = 0
	---------------------------------------------------------------------------------------------
    local internoise_sea = MakeSoundEntity("internoise_sea")
    internoise_sea:Play(true)
	---------------------------------------------------------------------------------------------
	play_field:IgnoreOnTestPoint('nkl')
	play_field:IgnoreOnTestPoint('tail')
    --------------------------------------------------------------------------------------------
	
	local t1 = play_field:GetObject('tail')
	t1:SetClippingRect(463, 220, 466, 210)
	local af = CreateAnimationEffector()
	af:AttachTo(t1)	
	af:SetKey(_TRACK_X, 0, t1:GetScrX())
	af:SetKey(_TRACK_X, 20, t1:GetScrX() - 469)
	af:SetMode(_ANIM_LOOP)
	af:Play()
	
	local t2 = play_field:GetObject('tail2')
	t2:SetClippingRect(463, 220, 466, 210)
	local af = CreateAnimationEffector()	
	af:AttachTo(t2)
	af:SetKey(_TRACK_X, 0, t2:GetScrX())
	af:SetKey(_TRACK_X, 20, t2:GetScrX() - 469)
	af:SetMode(_ANIM_LOOP)
	af:Play()
end

function OnSceneFree()
    FreeData()
end

function OnHiddenComics(comics)
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown.Play()
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
	---play_field:GetObject('tail'):GetAnimation():ChangeTextureRect(100 * dt, 0)
	--play_field:GetObject('nkl'):GetAnimation():ChangeTextureRect(100 * dt, 0)
end

function OnWin()
    game_state.chain_on_win.Play()
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object);
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object);
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object);
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object);
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,60,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/ananas.png',0,0,48,111,1,0)
	anim:SetHotSpot(24,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ananas',anim,955,675,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/bell.png',0,0,31,38,1,0)
	anim:SetHotSpot(15,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,242,283,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/bowl.png',0,0,73,43,1,0)
	anim:SetHotSpot(36,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bowl',anim,282,747,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/clothespin.png',0,0,22,55,1,0)
	anim:SetHotSpot(11,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clothespin',anim,954,510,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/cone.png',0,0,91,49,1,0)
	anim:SetHotSpot(45,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cone',anim,1010,293,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/flask.png',0,0,56,69,1,0)
	anim:SetHotSpot(28,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flask',anim,782,160,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/fly.png',0,0,66,46,1,0)
	anim:SetHotSpot(33,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly',anim,777,733,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/hat.png',0,0,105,61,1,0)
	anim:SetHotSpot(52,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,852,637,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/lamp.png',0,0,104,64,1,0)
	anim:SetHotSpot(52,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,709,245,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/note.png',0,0,28,42,1,0)
	anim:SetHotSpot(14,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('note',anim,443,355,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/ship.png',0,0,112,48,1,0)
	anim:SetHotSpot(56,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ship',anim,852,169,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/surf_board.png',0,0,79,182,1,0)
	anim:SetHotSpot(39,91)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('surf_board',anim,647,575,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/umbrella.png',0,0,47,132,1,0)
	anim:SetHotSpot(23,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,809,513,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/surf_board_layer.png',0,0,78,54,1,0)
	anim:SetHotSpot(39,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('surf_board_layer',anim,648,639,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/umbrella_layer.png',0,0,35,124,1,0)
	anim:SetHotSpot(17,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella_layer',anim,812,514,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/ananas_layer.png',0,0,50,51,1,0)
	anim:SetHotSpot(25,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ananas_layer',anim,951,706,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/fly_layer.png',0,0,21,13,1,0)
	anim:SetHotSpot(10,6)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly_layer',anim,753,735,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/lamp_layer.png',0,0,14,34,1,0)
	anim:SetHotSpot(7,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp_layer',anim,755,230,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/bucket_layer.png',0,0,26,20,1,0)
	anim:SetHotSpot(13,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket_layer',anim,902,453,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBridge/bg_bridge.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_bridge',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_bridge',anim,884,392,1000,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBridge/hoisting_jack.png',0,0,207,108,1,0)
	anim:SetHotSpot(103,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('hoisting_jack',anim,470,456,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/photo/hoisting_jack_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hoisting_jack_photo',anim,101,601,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/boat_bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('boat_bg',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/coin.png',0,0,42,26,1,0)
	anim:SetHotSpot(21,13)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('coin',anim,754,459,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/item/cow.png',0,0,66,65,1,0)
	anim:SetHotSpot(33,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cow',anim,687,304,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/item/key.png',0,0,82,49,1,0)
	anim:SetHotSpot(41,24)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('key',anim,278,507,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/item/lizard.png',0,0,106,54,1,0)
	anim:SetHotSpot(53,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lizard',anim,738,173,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/item/lock.png',0,0,70,62,1,0)
	anim:SetHotSpot(35,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lock',anim,755,565,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/item/mask.png',0,0,125,185,1,0)
	anim:SetHotSpot(62,92)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('mask',anim,540,373,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/item/umbrella.png',0,0,151,48,1,0)
	anim:SetHotSpot(75,24)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('umbrella_2',anim,383,168,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/layers/layer_umbrella.png',0,0,157,33,1,0)
	anim:SetHotSpot(78,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_umbrella',anim,386,179,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/boat_up.png',0,0,408,268,1,0)
	anim:SetHotSpot(204,134)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boat_up',anim,426,563,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBridge/hoisting_jack_tool.png',0,0,180,108,1,0)
	anim:SetHotSpot(90,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hoisting_jack_tool',anim,94,637,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Layers/boat_layer.png',0,0,371,251,1,0)
	anim:SetHotSpot(185,125)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boat_layer',anim,419,567,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/animations/bush.png',0,0,183,200,20,10)
	anim:SetHotSpot(92,100)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bush',anim,934,670,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/animations/grasshopper.png',0,0,149,94,18,10)
	anim:SetHotSpot(75,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('grasshopper',anim,564,618,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/animations/tail.png',0,0,469,210,1,0)
	anim:SetHotSpot(234,105)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tail',anim,696,327,65,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/animations/nkl.png',0,0,469,236,1,0)
	anim:SetHotSpot(234,118)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nkl',anim,696,327,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_use_hoisting_jack',anim,457,574,250,-26,2.2,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_boat',anim,446,593,240,-25,2,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/animations/tail.png',0,0,469,210,1,0)
	anim:SetHotSpot(234,105)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tail2',anim,1165,326,65,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/cap.png',0,0,54,50,1,0)
	anim:SetHotSpot(27,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cap2',anim,997,185,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/cat1.png',0,0,34,78,1,0)
	anim:SetHotSpot(17,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cat1',anim,948,151,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/cat2.png',0,0,36,75,1,0)
	anim:SetHotSpot(18,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cat2',anim,784,502,125,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/cat3.png',0,0,41,64,1,0)
	anim:SetHotSpot(20,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cat3',anim,698,553,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/cat4.png',0,0,90,48,1,0)
	anim:SetHotSpot(45,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cat4',anim,279,708,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/envelope1.png',0,0,50,37,1,0)
	anim:SetHotSpot(25,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('envelope1',anim,983,39,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/envelope2.png',0,0,46,54,1,0)
	anim:SetHotSpot(23,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('envelope2',anim,995,497,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/envelope3.png',0,0,53,78,1,0)
	anim:SetHotSpot(26,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('envelope3',anim,986,713,185,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/envelope4.png',0,0,57,27,1,0)
	anim:SetHotSpot(28,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('envelope4',anim,425,472,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/hat1.png',0,0,59,51,1,0)
	anim:SetHotSpot(29,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat1',anim,758,28,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/hat2.png',0,0,42,38,1,0)
	anim:SetHotSpot(21,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat2',anim,620,273,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/hat3.png',0,0,81,57,1,0)
	anim:SetHotSpot(40,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat3',anim,458,656,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/hat4.png',0,0,48,39,1,0)
	anim:SetHotSpot(24,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cap1',anim,889,312,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/lamp2.png',0,0,57,87,1,0)
	anim:SetHotSpot(28,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp2',anim,824,383,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/lamp3.png',0,0,30,54,1,0)
	anim:SetHotSpot(15,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp3',anim,721,419,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/necklace1.png',0,0,74,98,1,0)
	anim:SetHotSpot(37,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace1',anim,274,84,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/necklace2.png',0,0,79,68,1,0)
	anim:SetHotSpot(39,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace2',anim,287,290,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/necklace3.png',0,0,61,56,1,0)
	anim:SetHotSpot(30,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace3',anim,510,318,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/necklace4.png',0,0,84,76,1,0)
	anim:SetHotSpot(42,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace4',anim,708,184,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/necklace5.png',0,0,68,119,1,0)
	anim:SetHotSpot(34,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace5',anim,985,402,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/necklace6.png',0,0,68,69,1,0)
	anim:SetHotSpot(34,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace6',anim,532,696,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/pair_of_shoes1.png',0,0,50,37,1,0)
	anim:SetHotSpot(25,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_shoes1',anim,223,684,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/pair_of_shoes2.png',0,0,41,43,1,0)
	anim:SetHotSpot(20,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_shoes2',anim,601,501,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/pair_of_shoes3.png',0,0,52,42,1,0)
	anim:SetHotSpot(26,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_shoes3',anim,976,254,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/pair_of_shoes4.png',0,0,52,43,1,0)
	anim:SetHotSpot(26,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_shoes4',anim,945,309,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/pair_of_shoes5.png',0,0,43,82,1,0)
	anim:SetHotSpot(21,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_shoes5',anim,911,39,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/star1.png',0,0,40,41,1,0)
	anim:SetHotSpot(20,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star1',anim,690,738,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/star2.png',0,0,55,35,1,0)
	anim:SetHotSpot(27,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star2',anim,393,673,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/Items/bucket.png',0,0,31,43,1,0)
	anim:SetHotSpot(15,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,904,439,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/8_boat_/ZoomBoat/item/crown.png',0,0,62,54,1,0)
	anim:SetHotSpot(31,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('crown',anim,321,317,710,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
